Bug 58990 - REGRESSION (r84306-r84311?): editing/undo/undo-iframe-location-change.html sometimes fails on SnowLeopard Intel Release (WebKit2 Tests)
Summary: REGRESSION (r84306-r84311?): editing/undo/undo-iframe-location-change.html so...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.6
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar, LayoutTestFailure, PlatformOnly, Regression
Depends on:
Blocks:
 
Reported: 2011-04-20 07:27 PDT by Jessie Berlin
Modified: 2011-04-30 09:50 PDT (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jessie Berlin 2011-04-20 07:27:50 PDT
http://trac.webkit.org/changeset/84307

http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(WebKit2%20Tests)/r84306%20(10865)/results.html
http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(WebKit2%20Tests)/r84311%20(10866)/results.html

In addition, I am not really sure why the pixel test results for compositing/iframes/invisible-iframe.html and compositing/iframes/invisible-nested-iframe-hide.html are in the cross-platform directory. I would expect those tests to be failing when run with -p on a bunch of platforms.
Comment 1 Ryosuke Niwa 2011-04-20 08:55:17 PDT
Enrica and I investigated the failure of editing/undo/undo-iframe-location-change.html but it passes locally.
Comment 2 Jessie Berlin 2011-04-22 08:08:03 PDT
(In reply to comment #1)
> Enrica and I investigated the failure of editing/undo/undo-iframe-location-change.html but it passes locally.

Just to be sure, you tested with WK2? I ask because it is failing pretty consistently on the SL WK2 bots.

Did you get a chance to look into the compositing/iframes/invisible-nested-iframe-show.html failures?
Comment 3 Enrica Casucci 2011-04-22 11:58:35 PDT
I just tested one more time with r84650 on my SnowLeopard machine and I see no failures in the editing tests.
Comment 4 Ryosuke Niwa 2011-04-22 12:36:24 PDT
(In reply to comment #2)
> (In reply to comment #1)
> > Enrica and I investigated the failure of editing/undo/undo-iframe-location-change.html but it passes locally.
> 
> Just to be sure, you tested with WK2? I ask because it is failing pretty consistently on the SL WK2 bots.

Yes.

> Did you get a chance to look into the compositing/iframes/invisible-nested-iframe-show.html failures?

No.
Comment 5 Jessie Berlin 2011-04-25 09:40:42 PDT
Because these are keeping the SL WK2 bots red, I am going to commit failing expected results soon.
Comment 6 WebKit Review Bot 2011-04-25 10:26:31 PDT
http://trac.webkit.org/changeset/84783 might have broken Chromium Win Release
Comment 7 Jessie Berlin 2011-04-25 14:19:45 PDT
Now I am really confused. As soon as I committed the expected failing results in http://trac.webkit.org/changeset/84783, the editing test started passing on the bots (which is now making the bots red again because it is expecting failure).

Any ideas as to what happened here?
Comment 8 Adam Roben (:aroben) 2011-04-30 04:36:30 PDT
(In reply to comment #7)
> Now I am really confused. As soon as I committed the expected failing results in http://trac.webkit.org/changeset/84783, the editing test started passing on the bots (which is now making the bots red again because it is expecting failure).
> 
> Any ideas as to what happened here?

I guess the bots must have gone back to their previous behavior, because they aren't red anymore.
Comment 9 Adam Roben (:aroben) 2011-04-30 04:41:06 PDT
These two tests seem unlikely to be failing for the same reason. I split out compositing/iframes/invisible-nested-iframe-show.html into a new bug: bug 59864.
Comment 10 Adam Roben (:aroben) 2011-04-30 04:42:26 PDT
(In reply to comment #8)
> (In reply to comment #7)
> > Now I am really confused. As soon as I committed the expected failing results in http://trac.webkit.org/changeset/84783, the editing test started passing on the bots (which is now making the bots red again because it is expecting failure).
> > 
> > Any ideas as to what happened here?
> 
> I guess the bots must have gone back to their previous behavior, because they aren't red anymore.

My mistake, this test is indeed failing on the bots (because it's producing successful results, but we have failure results checked in).

I guess we should just remove the expected failure results and see if it starts failing again.
Comment 12 Adam Roben (:aroben) 2011-04-30 05:03:07 PDT
Added to the mac-wk2 Skipped file in r85397.
Comment 13 Adam Roben (:aroben) 2011-04-30 05:07:05 PDT
<rdar://problem/9363346>
Comment 14 Ryosuke Niwa 2011-04-30 09:49:21 PDT
There might be some race condition going on here.  Maybe when a page navigates in WebProcess, undo stack isn't cleared immediately in UIProcess.
Comment 15 Eric Seidel (no email) 2011-04-30 09:50:29 PDT
See also bug 20366.